Get Wallet By Locator
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "evm-smart-wallet",
"linkedUser": "email:user@example.com",
"address": "0x1234567890123456789012345678901234567890",
"config": {
"adminSigner": {
"type": "evm-keypair",
"address": "0x1234567890123456789012345678901234567890",
"locator": "evm-keypair:0x1234567890123456789012345678901234567890"
}
}
}{
"error": true,
"message": "<error message>"
}Wallets
Get Wallet By Locator
Retrieves a wallet by its locator (address or user identifier and wallet type)
API scope required: wallets.read
GET
/
2022-06-09
/
wallets
/
{walletLocator}
Get Wallet By Locator
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>
Response
The record has been successfully retreived.
- EVM smart wallet output
- Solana Smart wallet output
- Solana MPC wallet output
- Aptos MPC wallet output
- Sui MPC wallet output
- EVM MPC wallet output
Complete wallet configuration including type-specific settings
The type of wallet configuration
Available options:
evm-smart-wallet EVM smart wallet type specific configuration settings
Show child attributes
Show child attributes
The onchain address of the wallet
Example:
"0x1234567890123456789012345678901234567890"
The user that is linked to this wallet in format :
Example:
"email:test@test.com"
ISO timestamp of when the wallet was created
Example:
"2024-01-01T00:00:00.000Z"
Was this page helpful?

